package gov.va.med.fw.security;

import javax.crypto.SecretKey;

/**
 * Provides key management APIs.
 * 
 * @author Muddaiah Ranga
 * @version 3.0
 */
public interface KeyManager {
	/**
	 * Gets the secret key.
	 */
	public SecretKey getKey(KeyCache keyCache);

	/**
	 * Gets the secret key.
	 */
	public void setKey(KeyCache keyCache, SecretKey secretKey);
}
